#
# spec file for package yast2-config-scanner (Version 2.4.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect libscr liby2 libycp libyui tcl yast2-base yast2-core-scr yast2-core-wfm yast2-testsuite ycpdoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libscr libtool liby2 libycp libyui libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim yast2-base yast2-core-scr yast2-core-wfm yast2-testsuite ycpdoc

Name:         yast2-config-scanner
Copyright:	(c) 2000 SuSE GmbH
Group:		System Environment/YaST
Requires:	yast2 yast2-trans-scanner yast2-lib-wizard yast2-lib-sequencer
BuildArchitectures:	noarch
Summary:      YaST2 - Component Scanner Configuration
Version:      2.4.8
Release:      0
Source0:	yast2-config-scanner-2.4.8.tar.bz2

%description
This package provides support for the configuration of SCSI and USB scanners. 
Scanning with LINUX uses scanner library SANE (Scanner Access Now Easy). 
If your scanner is supported by SANE, the scanner is detected automatically and can
be installed easily. If the scanner is not supported or detected, you have the possibility
to try a manual configuration.

Authors:
--------
    Gabriele Strattner gs@suse.de

SuSE series: yast

%prep
%setup -n yast2-config-scanner-2.4.8

%build
./configure
make

%install
make install
#make check

%files
%dir /usr/lib/YaST2/clients
%dir /usr/lib/YaST2/menuentries
/usr/lib/YaST2/menuentries/menuentry_scanner.ycp
/usr/lib/YaST2/clients/scanner.ycp
/usr/lib/YaST2/include/scanner/scanner_functions.ycp
/usr/lib/YaST2/include/scanner/scanner_start.ycp
/usr/lib/YaST2/include/scanner/scanner_new.ycp
/usr/lib/YaST2/include/scanner/scanner_overview.ycp
/usr/lib/YaST2/include/scanner/scanner_scsi.ycp
/usr/lib/YaST2/include/scanner/scanner_manual.ycp
/usr/lib/YaST2/include/scanner/scanner_install.ycp
/usr/lib/YaST2/include/scanner/scanner_usb.ycp
/usr/lib/YaST2/include/scanner/scanner_net.ycp
/usr/lib/YaST2/include/scanner/scanner_notfound.ycp
/usr/lib/YaST2/servers_non_y2/ag_scanner
/usr/lib/YaST2/servers_non_y2/ag_sane
/usr/lib/YaST2/servers_non_y2/scannerDB.pm
/usr/lib/YaST2/scrconf/scanner.scr
/usr/lib/YaST2/scrconf/sane.scr
%dir /usr/share/doc/packages/yast2-config-scanner
/usr/share/doc/packages/yast2-config-scanner/*

%changelog -n yast2-config-scanner
* Thu Nov 08 2001 - gs@suse.de
- changed writeConfig-sub to do not write a comment after the device
  file in the backend.conf file in /etc/sane.d. The comment confuses
  at least the mustek and the snapscan backend (bug #12063)
- added mkdir /var/lib/sane to the function that writes the devices
  file in the directory for sane's rcscript. If the directory does
  not exist, the file could not be written which causes a problem
  with the rcscript on system shutdown
- added mustek_usb to the available drivers list.
- corrected path in revertAll from /var/log/sane to /var/lib/sane.
- added snapscan 1236U to the scanner DB
* Thu Sep 20 2001 - gs@suse.de
- multiple scanner tests are possible  (bug #11026)
- permissions of /dev/sg? are set correctly to 666 (bug #11035)
* Tue Sep 18 2001 - freitag@suse.de
- write /etc/hotplug/usr.map for scanners not automatically detected.
  Makes the correct module loaded and unloaded on mounting or
  unmounting of the device.
- better recognition of scanners by whitespace insensitive pattern match.
- added config-template for USB-mustek scanners, they were accidential
  missing.
* Fri Sep 14 2001 - freitag@suse.de
- manual USB scanner install works for Scanners not reporting a
  proper vendor/model name
* Wed Sep 12 2001 - freitag@suse.de
- fixed bugs in reverting the installation, created files for the
  sane startup and shutdown scripts that fix permissions.
  Bugfix that removes temporaer files, setting the sane permission
  fix variable in rc.config and behaviour in case no scsi device
  was found in manual scanner configuration (bzilla #10310)
* Tue Sep 04 2001 - freitag@suse.de
- installation of scsi and usb scanners work now, deletion is also
  working. Networkstation-scanners will be detected and installed.
  Abort also works.
* Mon Aug 20 2001 - gs@suse.de
- installation works (except setting the permissions of /dev/sg_
  or /dev/usbscanner to 666),
  manual installation needs some more work,
  delete an scanner configuration does not work
* Mon Aug 06 2001 - gs@suse.de
- workflow dialogs completed - but not yet with full functionality
* Thu Mar 22 2001 - gs@suse.de
- initial version
